@charset "UTF-8";

/* -------------------------------------------------------
name : base.css
version : 4.0
viewport : sp -599,tb 600-1024 pc 1024-
--------------------------------------------------------- */

/* var
---------------------------------------------------------------- */
:root {
  /* -------------------------------------------------------
  Palette (絶対値)
  --------------------------------------------------------- */
  /* 基本 -------------------------- */
  --pal-white: #fff; /* 白 */
  --pal-black: #333; /* 文字 */

  --pal-red: #d9534f;
  --pal-blue: #1a73e8;

  /* メイン・ブランド -------------------------- */
  --pal-blue-ocean: #1c70a3;
  --pal-coral: #e16e5b;
  --pal-green-ida: #237650;

  /* グレースケール -------------------------- */
  --pal-d-gray: #6e6e6e;
  --pal-gray: #a8a8a8;
  --pal-l-gray: #cdcdcd;

  /* 薄い背景用 -------------------------- */
  --pal-bg-blue: #daecf9;
  --pal-bg-yellow: #fefbef;
  --pal-bg-green: #d4eae0;
  --pal-bg-red: #f6d9d3;

  /* サブ・装飾用 -------------------------- */
  --pal-sub-red: #cb6353;
  --pal-sub-green: #329a69;
  --pal-sub-green-02: #79bf9f;
  --pal-sub-blue: #3d81aa;
  --pal-sub-blue-02: #84b3d4;
  --pal-sub-leaf: #8dc33e;

  /* 閲覧支援用 -------------------------- */
  --pal-navy: #00008b; /* 紺 */
  --pal-hi-yellow: #ffff00; /* 黄 */
  --pal-pure-black: #000000; /* 黒 */
  --pal-blue-link: #0000ff; /* 青 */
  --pal-gold-muted: #b8b800; /* くすんだ黄 */
  --pal-grey-mid: #999999; /* 中間グレー */
  --pal-grey-dark: #555555; /* 濃いグレー */

  /* -------------------------------------------------------
  Semantic Variables (参照値)
  --------------------------------------------------------- */
  /* 全体 -------------------------- */
  --theme-bg: var(--pal-white); /* サイト全体の背景 */
  --theme-text: var(--pal-black); /* 基本の文字色 */
  --theme-text-sub: var(--pal-d-gray); /* サブ文字色 */
  --theme-text-opp: var(--pal-white); /* 反転文字色 */

  --theme-main: var(--pal-blue-ocean); /* メインカラー */
  --theme-accent: var(--pal-coral); /* アクセントカラー */
  --theme-base: var(--pal-white); /* ベースカラー */
  --theme-link: var(--pal-black); /* リンク色 */
  --theme-link-opp: var(--pal-white); /* 反転リンク色 */
  --theme-focus: var(--pal-coral); /* フォーカス色 */

  --theme-ida: var(--pal-green-ida); /* 井田メインカラー */

  /* ボタン -------------------------- */
  /* メインボタン */
  --theme-main-btn: var(--pal-white);
  --theme-main-btn-text: var(--pal-blue-ocean);
  /* 反転ボタン */
  --theme-opp-btn: var(--pal-blue-ocean);
  --theme-opp-btn-text: var(--pal-white);

  --theme-cta: var(--pal-sub-red); /* CTA */
  --theme-cta-text: var(--pal-white);

  --theme-cta-02: var(--pal-sub-green); /* CTA 2 */
  --theme-cta-02-text: var(--pal-white);

  /* 線 -------------------------- */
  --theme-border-separator: var(--pal-gray); /* 区切り線 */
  --theme-border-table: var(--pal-l-gray); /* 表の線 */

  /* 背景パーツ -------------------------- */
  --theme-surface-blue: var(--pal-bg-blue);
  --theme-surface-yellow: var(--pal-bg-yellow);
  --theme-surface-green: var(--pal-bg-green);
  --theme-surface-red: var(--pal-bg-red);

  --theme-people-01: var(--pal-coral);
  --theme-people-02: var(--pal-sub-blue);
  --theme-people-03: var(--pal-sub-green-02);
  --theme-people-04: var(--pal-sub-blue-02);

  /* 装飾・アクセント用 -------------------------- */
  --theme-deco-primary: var(--pal-sub-leaf); /* 見出し飾り */
  --theme-error-color: var(--pal-red);

  /* 閲覧支援用 -------------------------- */
  /* パターン1：背景紺 */
  --a11y-p01-bg: var(--pal-navy);
  --a11y-p01-main: var(--pal-hi-yellow);
  --a11y-p01-sub: var(--pal-gold-muted);
  --a11y-p01-link: var(--pal-white);
  /* パターン2：背景黄 */
  --a11y-p02-bg: var(--pal-hi-yellow);
  --a11y-p02-main: var(--pal-pure-black);
  --a11y-p02-sub: var(--pal-grey-dark);
  --a11y-p02-link: var(--pal-blue-link);
  /* パターン3：背景黒 */
  --a11y-p03-bg: var(--pal-pure-black);
  --a11y-p03-main: var(--pal-hi-yellow);
  --a11y-p03-sub: var(--pal-grey-mid);
  --a11y-p03-link: var(--pal-white);

  --a11y-bg: initial;
  --a11y-text: initial;
  --a11y-link: initial;
  --a11y-surface: initial;
  --a11y-btn-text: initial;
  --a11y-btn-bg: initial;
  --a11y-btn-border: initial;

  /* theme styles
  ---------------------------------------------------------------- */
  /* font-weight */
  --fw-normal: 400;
  --fw-bold: 600;
  --fw-bolder: 900;
  /* border-radius */
  --br-xs: 4px;
  --br-s: 10px;
  --br-m: 20px;
  --br-l: 30px;
  --br-ll: 50px;
  --br-xl: 100vh;

  /* box-shadow */
  --shadow: 0px 3px 15px rgba(0, 0, 0, 0.2);

  /* separator */
  --separator-top: repeating-linear-gradient(90deg, var(--theme-border-separator), var(--theme-border-separator) 8px, transparent 8px, transparent 16px) top / 100% 2px repeat-x;
  --separator-bottom: repeating-linear-gradient(90deg, var(--theme-border-separator), var(--theme-border-separator) 8px, transparent 8px, transparent 16px) bottom / 100% 2px repeat-x;
  --separator-left: repeating-linear-gradient(180deg, var(--theme-border-separator), var(--theme-border-separator) 8px, transparent 8px, transparent 16px) left / 2px 100% repeat-y;
  --separator-right: repeating-linear-gradient(180deg, var(--theme-border-separator), var(--theme-border-separator) 8px, transparent 8px, transparent 16px) right / 2px 100% repeat-y;

  /* theme layout size
  ---------------------------------------------------------------- */
  /* gap */
  --gap-xs: 0.5rem;
  --gap-s: 1rem;
  --gap-m: 1.5rem;
  --gap-l: 2rem;
  --gap-ll: 2.5rem;

  /* padding */
  --wrap-pd: min(6.25rem, 15%);
  --wrap-pd-s: min(3.125rem, 8%);
  --box-pd: 2rem 1rem;

  /* space */
  --space-xxs: 0.3125rem; /* 5px */
  --space-xs: 0.625rem; /* 10px */
  --space-ss: 0.9375rem; /* 15px */
  --space-sm: 1.25rem; /* 20px */
  --space-sl: 1.875rem; /* 30px */
  --space-ms: 2.5rem; /* 40px */
  --space-mm: 3.125rem; /* 50px */
  --space-ml: 3.75rem; /* 60px */
  --space-ls: 4.375rem; /* 70px */
  --space-lm: 5rem; /* 80px */
  --space-ll: 6.25rem; /* 100px */
  --space-xl: 7.5rem; /* 120px */

  /* contents */
  --contents-inner-width: 56.25rem;
  --contents-max-width: 75rem;
  --contents-over-width: 87.5rem;

  /* header */
  --header-height: 6.875rem;
  --hamburger-width: 3.75rem;
  --hamburger-side-width: 0.625rem;
  --header-side-pd: 1.5rem;
}

body {
  /*
  ** font-size
  ** 1025以上 : 固定値
  ** 1024以下 : 最大値()
  ** 599以下 : clamp(最小値,,最大値)
  ---------------------------------------------------------------- */
  /* 文字拡大率の基準値（標準：1） */
  --f-scale: 1;

  /* --- データ定義 --- */
  --raw-fs-ttl-top: 3.125rem; /* 見出し(トップページ) -- 50px */
  --raw-fs-ttl-ll: 1.75rem; /* 見出しh1 -- 28px */
  --raw-fs-ttl-l: 1.625rem; /* 見出しh2 -- 26px */
  --raw-fs-ttl-m: 1.5rem; /* 見出しh3 -- 24px */
  --raw-fs-ttl-s: 1.375rem; /* 見出しh4 -- 22px */
  --raw-fs-ttl-xs: 1.25rem; /* 見出しh5 -- 20px */
  --raw-fs-lead: 1.125rem; /* リード文 -- 18px */
  --raw-fs-default: 1rem; /* 本文 -- 16px */
  --raw-fs-notes: 0.875rem; /* 注釈 -- 14px */

  --raw-fs-count-data: 3.75rem;

  /* --- 変数 --- */
  --fs-ttl-top: calc(var(--raw-fs-ttl-top) * var(--f-scale));
  --fs-ttl-ll: calc(var(--raw-fs-ttl-ll) * var(--f-scale));
  --fs-ttl-l: calc(var(--raw-fs-ttl-l) * var(--f-scale));
  --fs-ttl-m: calc(var(--raw-fs-ttl-m) * var(--f-scale));
  --fs-ttl-s: calc(var(--raw-fs-ttl-s) * var(--f-scale));
  --fs-ttl-xs: calc(var(--raw-fs-ttl-xs) * var(--f-scale));
  --fs-lead: calc(var(--raw-fs-lead) * var(--f-scale));
  --fs-default: calc(var(--raw-fs-default) * var(--f-scale));
  --fs-notes: calc(var(--raw-fs-notes) * var(--f-scale));

  --fs-count-data: calc(var(--raw-fs-count-data) * var(--f-scale));
}

@media only screen and (max-width: 1024px) {
  :root {
    --br-s: 8px;
    --br-m: 12px;
    --br-l: 16px;
    --br-ll: 30px;
    --header-side-pd: 0.625rem;
  }
  body {
    --raw-fs-ttl-top: 2.8125rem;
    --raw-fs-ttl-l: max(1.5rem, 2.73vw);
    --raw-fs-ttl-m: max(1.25rem, 2.54vw);
    --raw-fs-ttl-s: max(1.125rem, 2.15vw);
    --raw-fs-ttl-xs: max(1.125rem, 1.95vw);
    --raw-fs-lead: max(1.125rem, 1.76vw);
    --raw-fs-default: max(1rem, 1.56vw);
    --raw-fs-notes: max(0.875rem, 1.37vw);
  }
}
@media (max-width: 768px) {
  :root {
    --header-height: 4.0625rem;
  }

  body {
    --raw-fs-count-data: clamp(2.5rem, 7.8vw, 3.75rem);
  }
}

@media only screen and (max-width: 599px) {
  body {
    --raw-fs-ttl-top: max(7.69vw, 1.5625rem);
    --raw-fs-ttl-l: clamp(1.25rem, 5.64vw, 1.625rem);
    --raw-fs-ttl-m: clamp(1.125rem, 5vw, 1.5rem);
    --raw-fs-ttl-s: clamp(1.125rem, 4.6vw, 1.25rem);
    --raw-fs-ttl-xs: clamp(1rem, 4.6vw, 1.125rem);
    --raw-fs-lead: clamp(1rem, 4.1vw, 1.125rem);
    --raw-fs-default: clamp(0.875rem, 3.6vw, 1rem);
    --raw-fs-notes: clamp(0.75rem, 3vw, 0.875rem);
  }
}

/* default settings
---------------------------------------------------------------- */
body {
  background: var(--theme-bg);
  color: var(--theme-text);
  letter-spacing: 0.05em;
  font-feature-settings: 'palt';
  word-wrap: break-word;
  width: 100%;
}
h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: var(--fw-bold);
}
h1 {
  font-size: var(--fs-ttl-ll);
  line-height: 1.3;
}
h2 {
  font-size: var(--fs-ttl-l);
  line-height: 1.3;
}
h3 {
  font-size: var(--fs-ttl-m);
  line-height: 1.3;
}
h4 {
  font-size: var(--fs-ttl-s);
  line-height: 1.3;
}
h5 {
  font-size: var(--fs-ttl-xs);
}
p {
  font-size: var(--fs-default);
  line-height: 1.8;
}
a {
  color: var(--theme-link);
  text-decoration: none;
}
a,
a img {
  transition: all 0.3s;
}
a:hover,
a:focus {
  opacity: 0.6;
  transition: 0.3s ease-in-out;
}
:focus-visible {
  outline: var(--theme-focus) 3px solid;
  opacity: 1;
}
@supports not selector(:focus-visible) {
  :focus {
    outline: var(--theme-focus) 3px solid;
  }
}
button {
  background-color: transparent;
  padding: 0;
  appearance: none;
}
[type='button'] {
  text-align: center;
}
input[type='text'],
input[type='number'],
input[type='tel'],
input[type='email'],
input[type='url'],
input[type='password'],
input[type='search'],
input[type='date'],
textarea {
  display: inline-block;
  font-size: var(--fs-default);
  padding: 0.5em 0.8em;
  border: var(--theme-border-separator) 1px solid;
  border-radius: var(--box-br);
  width: 100%;
}
input::placeholder,
textarea::placeholder {
  color: var(--theme-text-sub);
  opacity: 1; /* Firefox対策 */
}
input:focus::placeholder {
  color: transparent;
  transition: 0.3s;
}
select {
  display: inline-block;
  font-size: var(--fs-default);
  padding: 0.5em 0.8em;
  background: var(--white);
  border: var(--theme-border-separator) 1px solid;
  border-radius: var(--box-br);
  width: 100%;
}
/* バー */
input[type='range'] {
  outline: none;
  height: 5px;
  width: 100%;
  background: var(--theme-text-sub);
  border-radius: var(--box-br);
}
/* つまみ */
input[type='range']::-webkit-slider-thumb {
  -webkit-appearance: none;
  background: var(--theme-text-sub);
  width: 1.5em;
  height: 1.5em;
  border-radius: 50%;
  box-shadow: 0px 3px 6px 0px rgba(0, 0, 0, 0.15);
}
input[type='range']::-moz-range-thumb {
  background: var(--theme-text-sub);
  width: 1.5em;
  height: 1.5em;
  border-radius: 50%;
  box-shadow: 0px 3px 6px 0px rgba(0, 0, 0, 0.15);
  border: none;
}
/* Firefoxで点線が周りに表示されてしまう問題の解消 */
input[type='range']::-moz-focus-outer {
  border: 0;
}
/* つまみをドラッグしているときのスタイル */
input[type='range']:active::-webkit-slider-thumb {
  box-shadow: 0px 5px 10px -2px rgba(0, 0, 0, 0.3);
}
input[type='color'] {
  border: var(--theme-border-separator) 1px solid;
  border-radius: 3px;
  padding: 3px;
}
input[type='submit'],
input[type='reset'] {
  border: var(--theme-border-separator) 1px solid;
  border-radius: var(--box-br);
  padding: 0.5em 0.8em;
  width: 100%;
  text-align: center;
}

/* font-size
---------------------------------------------------------------- */
.fs-ttl-top {
  font-size: var(--fs-ttl-top);
}
.fs-ttl-ll {
  font-size: var(--fs-ttl-ll);
}
.fs-ttl-l {
  font-size: var(--fs-ttl-l);
}
.fs-ttl-m {
  font-size: var(--fs-ttl-m);
}
.fs-ttl-s {
  font-size: var(--fs-ttl-s);
}
.fs-ttl-xs {
  font-size: var(--fs-ttl-xs);
}
.fs-lead {
  font-size: var(--fs-lead);
}
.fs-default {
  font-size: var(--fs-default);
}
.fs-notes {
  font-size: var(--fs-notes);
}

/* color
---------------------------------------------------------------- */
/* background (theme) */
.bg-base {
  background: var(--cl-base);
}
.bg-main {
  background: var(--a11y-bg, var(--theme-main));
}
.bg-accent {
  background: var(--theme-accent);
}
.bg-blue {
  background: var(--theme-surface-blue);
}
.bg-yellow {
  background: var(--theme-surface-yellow);
}
.bg-green {
  background: var(--theme-surface-green);
}
.bg-red {
  background: var(--theme-surface-red);
}
.bg-ida {
  background: var(--a11y-bg, var(--theme-ida));
}
.bg-sub-blue {
  background: var(--cl-sub-blue);
}
.bg-sub-green {
  background: var(--cl-sub-green);
}
.bg-blue-02 {
  background: var(--cl-blue-02);
}

/* background (basic) */
.bg-black {
  background: var(--black);
}
.bg-white {
  background: var(--white);
}
.bg-d-gray {
  background: var(--theme-text-sub);
}
.bg-gray {
  background: var(--theme-border-separator);
}
.bg-l-gray {
  background: var(--theme-border-table);
}

/* text(theme) */
.cl-font {
  color: var(--theme-text);
}
.cl-font-opp {
  color: var(--theme-text-opp);
}
.cl-link {
  color: var(--cl-link);
}
.cl-link-opp {
  color: var(--theme-text-opp);
}
.cl-base {
  color: var(--cl-base);
}
.cl-main {
  color: var(--theme-main);
}
.cl-accent {
  color: var(--theme-accent);
}
.cl-ida {
  color: var(--theme-ida);
}

/* PC,SP表示
---------------------------------------------------------------- */
@media only screen and (max-width: 1024px) {
  .d-pc {
    display: none !important;
  }
}
@media only screen and (min-width: 1025px) {
  .d-tb {
    display: none !important;
  }
}
@media only screen and (max-width: 599px), (min-width: 1025px) {
  .d-tb-only {
    display: none !important;
  }
}
@media only screen and (max-width: 599px) {
  .d-pc-tb {
    display: none !important;
  }
}
@media only screen and (min-width: 600px) {
  .d-sp {
    display: none !important;
  }
}

/* font-weight
---------------------------------------------------------------- */
.font-bold {
  font-weight: var(--fw-bold) !important;
}
.font-normal {
  font-weight: var(--fw-normal) !important;
}

/* line-height
---------------------------------------------------------------- */
.lh-16 {
  line-height: 1.6;
}
.lh-20 {
  line-height: 2;
}

/* text-align
---------------------------------------------------------------- */
.text-left {
  text-align: left;
}
.text-center {
  text-align: center;
}
.text-right {
  text-align: right;
}

.text-l-c {
  text-align: left;
}
.text-c-l {
  text-align: center;
}
.text-r-l {
  text-align: right;
}

@media only screen and (max-width: 599px) {
  .text-c-l,
  .text-r-l {
    text-align: left;
  }
  .text-l-c {
    text-align: center;
  }
}

/* width・height
---------------------------------------------------------------- */
.w-100 {
  width: 100%;
}
.mw-90 {
  max-width: 90%;
}
.mw-80 {
  max-width: 80%;
}
.mw-70 {
  max-width: 70%;
}
.h-100 {
  height: 100%;
}
.wh-100 {
  width: 100%;
  height: 100%;
}

/* ボタン width */
.mw-btn-xs {
  max-width: 9.375rem; /* 150px */
}
.mw-btn-s {
  max-width: 15.625rem; /* 250px */
}
.mw-btn-m {
  max-width: 20rem; /* 320px */
}
.mw-btn-l {
  max-width: 23.75rem; /* 380px */
}

/* padding
---------------------------------------------------------------- */
.pd-tb {
  padding-top: var(--wrap-pd);
  padding-bottom: var(--wrap-pd);
}
.pd-tp {
  padding-top: var(--wrap-pd);
}
.pd-bt {
  padding-bottom: var(--wrap-pd);
}
.pd-tb-s {
  padding-top: var(--wrap-pd-s);
  padding-bottom: var(--wrap-pd-s);
}
.pd-tp-s {
  padding-top: var(--wrap-pd-s);
}
.pd-bt-s {
  padding-bottom: var(--wrap-pd-s);
}

/* margin-auto
---------------------------------------------------------------- */
.mlr-auto {
  margin-left: auto;
  margin-right: auto;
}
.ml-auto {
  margin-left: auto;
}
.mr-auto {
  margin-right: auto;
}

/* margin-top
---------------------------------------------------------------- */
.mt-xs {
  margin-top: var(--space-xs);
}
.mt-ss {
  margin-top: var(--space-ss);
}
.mt-sm {
  margin-top: var(--space-sm);
}
.mt-sl {
  margin-top: var(--space-sl);
}
.mt-ms {
  margin-top: var(--space-ms);
}
.mt-mm {
  margin-top: var(--space-mm);
}
.mt-ml {
  margin-top: var(--space-ml);
}
.mt-ls {
  margin-top: var(--space-ls);
}
.mt-lm {
  margin-top: var(--space-lm);
}
.mt-ll {
  margin-top: var(--space-ll);
}
.mt-xl {
  margin-top: var(--space-xl);
}

/* margin-bottom
---------------------------------------------------------------- */
.mb-xs {
  margin-bottom: var(--space-xs);
}
.mb-ss {
  margin-bottom: var(--space-ss);
}
.mb-sm {
  margin-bottom: var(--space-sm);
}
.mb-sl {
  margin-bottom: var(--space-sl);
}
.mb-ms {
  margin-bottom: var(--space-ms);
}
.mb-mm {
  margin-bottom: var(--space-mm);
}
.mb-ml {
  margin-bottom: var(--space-ml);
}
.mb-ls {
  margin-bottom: var(--space-ls);
}
.mb-lm {
  margin-bottom: var(--space-lm);
}
.mb-ll {
  margin-bottom: var(--space-ll);
}
.mb-xl {
  margin-bottom: var(--space-xl);
}

/* display
---------------------------------------------------------------- */
.d-i {
  display: inline;
}
.d-ib {
  display: inline-block;
}
.d-b {
  display: block;
}
.d-none {
  display: none !important;
}
.d-block-pc {
  display: block;
}
@media only screen and (max-width: 768px) {
  .d-block-sp {
    display: block;
  }
  .d-block-pc {
    display: inline-block;
  }
}

/* position
---------------------------------------------------------------- */
.p-static {
  position: static;
}
.p-relative {
  position: relative;
}
.p-absolute {
  position: absolute;
}
.p-fixed {
  position: fixed;
}
.p-sticky {
  position: sticky;
}

/* overflow
---------------------------------------------------------------- */
.of-hidden {
  overflow: hidden;
}

/* style
---------------------------------------------------------------- */
.u-line {
  text-decoration: underline;
}
/* hover */
.hov-op1:hover {
  opacity: 1;
}
/* border-radius */
.br-xs {
  border-radius: var(--br-xs);
}
.br-s {
  border-radius: var(--br-s);
}
.br-m {
  border-radius: var(--br-m);
}
.br-l {
  border-radius: var(--br-l);
}
.br-ll {
  border-radius: var(--br-ll);
}
.br-xl {
  border-radius: var(--br-xl);
}
/* box-shadow */
.shadow {
  box-shadow: var(--shadow);
}
/* img */
.img-wrap {
  position: relative;
  overflow: hidden;
}
.img-wrap img {
  object-fit: cover;
  width: 100%;
  height: 100%;
}
.img-6to4 {
  aspect-ratio: 6/4;
}
.img-4to6 {
  aspect-ratio: 4/6;
}
.img-1to1 {
  aspect-ratio: 1/1;
}
.img-16to9 {
  aspect-ratio: 16/9;
}

/* layout
---------------------------------------------------------------- */
/* basic */
.b-wrapper {
  margin-left: auto;
  margin-right: auto;
  max-width: calc(var(--contents-max-width) + 6%);
  padding-right: 3%;
  padding-left: 3%;
  width: 100%;
}
/* reading */
.b-wrapper-reading {
  margin-left: auto;
  margin-right: auto;
  max-width: calc(1000px + 6%);
  padding-right: 3%;
  padding-left: 3%;
  width: 100%;
}
/* over */
.b-wrapper-over {
  margin-left: auto;
  margin-right: auto;
  max-width: calc(var(--contents-over-width) + 6%);
  padding-right: 3%;
  padding-left: 3%;
  width: 100%;
}
/* contents */
.b-contents {
  max-width: var(--contents-inner-width);
  margin-left: auto;
  margin-right: auto;
}

/* コンテンツ全体 */
.l-article-wrap {
  display: grid;
  grid-template-columns: 5fr 2fr;
  /* gap: 2em; */
}
/* メインコンテンツ */
.l-primary {
  border-right: var(--theme-main) 1px solid;
  padding-right: 3rem;
}
/* サイド */
.l-secondary {
  padding-left: 3rem;
}

/* 子要素を親要素からはみ出させて画面いっぱいにする(はみださせる親要素のさらに親要素に overflow:hidden;を設定すること) */
.break-wrapper {
  margin-right: calc(50% - 50vw);
  margin-left: calc(50% - 50vw);
}
.break-wrapper-left {
  margin-left: calc(50% - 50vw);
}
.break-wrapper-right {
  margin-right: calc(50% - 50vw);
}

@media only screen and (max-width: 1024px) {
  .b-wrapper,
  .b-wrapper-reading {
    width: 100%;
  }
  .b-contents {
    max-width: 100%;
  }
  .l-primary {
    width: 100%;
    padding-right: 0;
    border-right: none;
  }
  .l-secondary {
    width: 100%;
    padding-left: 0;
    margin-top: var(--wrap-pd);
    padding-top: var(--wrap-pd);
    border-top: var(--theme-main) 1px solid;
  }
  .l-article-wrap {
    display: block;
  }
}

/* flexbox
---------------------------------------------------------------- */
.flex-basic {
  display: flex;
}
.flex-row-reverse {
  display: flex;
  flex-direction: row-reverse;
}
.flex-nowrap {
  display: flex;
  flex-wrap: nowrap;
}
.flex-wrap {
  display: flex;
  flex-wrap: wrap;
}
.flex-between {
  display: flex;
  justify-content: space-between;
}
.flex-around {
  display: flex;
  justify-content: space-around;
}
.flex-end {
  display: flex;
  justify-content: flex-end;
}
.flex-column {
  display: flex;
  flex-direction: column;
}

.flex-center {
  display: flex;
  justify-content: center;
  align-items: center;
}
.flex-h-center {
  display: flex;
  justify-content: center;
}
.flex-v-center {
  display: flex;
  align-items: center;
}

/* gap
---------------------------------------------------------------- */
.gap-xs {
  gap: var(--gap-xs);
}
.gap-s {
  gap: var(--gap-s);
}
.gap-m {
  gap: var(--gap-m);
}
.gap-l {
  gap: var(--gap-l);
}
.gap-ll {
  gap: var(--gap-ll);
}

/* column
---------------------------------------------------------------- */
:root {
  /* gap */
  --row-gap: 2em;
  --col-gap: 1.5em;
}
.col-2-1,
.col-2-2,
.col-3-1,
.col-3-2,
.col-3-2-1,
.col-4-1,
.col-4-2,
.col-4-2-1,
.col-4-3-2,
.col-5-2,
.col-5-3,
.col-5-3-2,
.col-8to2,
.col-2to8,
.col-75to25,
.col-25to75,
.col-7to3,
.col-3to7,
.col-65to35,
.col-35to65,
.col-6to4,
.col-4to6,
.col-55to45,
.col-45to55 {
  width: 100%;
  height: auto;
}

/* flex-column
---------------------------------------------------------------- */
.flex-col {
  display: flex;
  flex-wrap: wrap;
  row-gap: var(--row-gap);
  column-gap: var(--col-gap);
}

:where(.flex-col.col-2-1, .flex-col.col-2-2) > .col-item {
  --col-num: 2;
  width: calc(calc(100% / var(--col-num)) - calc(var(--col-gap) / calc(var(--col-num) / calc(var(--col-num) - 1))));
}
:where(.flex-col.col-3-1, .flex-col.col-3-2, .flex-col.col-3-2-1) > .col-item {
  --col-num: 3;
  width: calc(calc(100% / var(--col-num)) - calc(var(--col-gap) / calc(var(--col-num) / calc(var(--col-num) - 1))));
}
:where(.flex-col.col-4-1, .flex-col.col-4-2, .flex-col.col-4-2-1, .flex-col.col-4-3-2) > .col-item {
  --col-num: 4;
  width: calc(calc(100% / var(--col-num)) - calc(var(--col-gap) / calc(var(--col-num) / calc(var(--col-num) - 1))));
}
:where(.flex-col.col-5-2, .flex-col.col-5-3, .flex-col.col-5-3-2) > .col-item {
  --col-num: 5;
  width: calc(calc(100% / var(--col-num)) - calc(var(--col-gap) / calc(var(--col-num) / calc(var(--col-num) - 1))));
}

@media only screen and (max-width: 1024px) {
  :where(.flex-col.col-3-2-1, .flex-col.col-4-2-1) > .col-item {
    --col-num: 2;
    width: calc(calc(100% / var(--col-num)) - calc(var(--col-gap) / calc(var(--col-num) / calc(var(--col-num) - 1))));
  }
  :where(.flex-col.col-4-3-2, .flex-col.col-5-3-2) > .col-item {
    --col-num: 3;
    width: calc(calc(100% / var(--col-num)) - calc(var(--col-gap) / calc(var(--col-num) / calc(var(--col-num) - 1))));
  }
}

@media only screen and (max-width: 599px) {
  :where(.flex-col.col-2-1, .flex-col.col-3-1, .flex-col.col-3-2-1, .flex-col.col-4-1, .flex-col.col-4-2-1, .flex-col.col-5-1) > .col-item {
    --col-num: 1;
    width: 100%;
  }
  :where(.flex-col.col-2-2, .flex-col.col-3-2, .flex-col.col-4-2, .flex-col.col-4-3-2, .flex-col.col-5-3-2) > .col-item {
    --col-num: 2;
    width: calc(calc(100% / var(--col-num)) - calc(var(--col-gap) / calc(var(--col-num) / calc(var(--col-num) - 1))));
  }
}

/* grid-column
---------------------------------------------------------------- */
.grid-col {
  display: grid;
  row-gap: var(--row-gap);
  column-gap: var(--col-gap);
}

/* 動的な繰り返しカラム */
.grid-col.col-2-1,
.grid-col.col-2-2 {
  grid-template-columns: repeat(2, 1fr);
}
.grid-col.col-3-1,
.grid-col.col-3-2,
.grid-col.col-3-2-1 {
  grid-template-columns: repeat(3, 1fr);
}
.grid-col.col-4-1,
.grid-col.col-4-2,
.grid-col.col-4-2-1,
.grid-col.col-4-3-2 {
  grid-template-columns: repeat(4, 1fr);
}
.grid-col.col-5-2,
.grid-col.col-5-3,
.grid-col.col-5-3-2 {
  grid-template-columns: repeat(5, 1fr);
}

/* 固定比率カラム */
.grid-col.col-8to2 {
  grid-template-columns: 8fr 2fr;
}
.grid-col.col-2to8 {
  grid-template-columns: 2fr 8fr;
}
.grid-col.col-75to25 {
  grid-template-columns: 75fr 25fr;
}
.grid-col.col-25to75 {
  grid-template-columns: 25fr 75fr;
}
.grid-col.col-7to3 {
  grid-template-columns: 7fr 3fr;
}
.grid-col.col-3to7 {
  grid-template-columns: 3fr 7fr;
}
.grid-col.col-65to35 {
  grid-template-columns: 65fr 35fr;
}
.grid-col.col-35to65 {
  grid-template-columns: 35fr 65fr;
}
.grid-col.col-6to4 {
  grid-template-columns: 6fr 4fr;
}
.grid-col.col-4to6 {
  grid-template-columns: 4fr 6fr;
}
.grid-col.col-55to45 {
  grid-template-columns: 55fr 45fr;
}
.grid-col.col-45to55 {
  grid-template-columns: 45fr 55fr;
}

/* ユーティリティクラス */
.grid-gap-none {
  gap: 0;
}
.grid-gap-row-none {
  row-gap: 0;
}
.grid-gap-clm-none {
  column-gap: 0;
}
.grid-clm-reverse {
  direction: rtl;
}
.grid-clm-reverse .col-item {
  direction: ltr;
}
.grid-center {
  place-items: center;
}
.grid-h-center {
  justify-items: center;
}
.grid-v-center {
  align-items: center;
}

/* タブレット (max-width: 1024px) */
@media only screen and (max-width: 1024px) {
  .grid-col.col-3-2-1,
  .grid-col.col-4-2-1 {
    grid-template-columns: repeat(2, 1fr);
  }
  .grid-col.col-4-3-2,
  .grid-col.col-5-3-2 {
    grid-template-columns: repeat(3, 1fr);
  }
}

/* スマホ (max-width: 599px) */
@media only screen and (max-width: 599px) {
  /* 1列に縮小 */
  .grid-col.col-2-1,
  .grid-col.col-3-1,
  .grid-col.col-4-1,
  .grid-col.col-4-2-1,
  .grid-col.col-3-2-1,
  .grid-col.col-8to2,
  .grid-col.col-2to8,
  .grid-col.col-75to25,
  .grid-col.col-25to75,
  .grid-col.col-7to3,
  .grid-col.col-3to7,
  .grid-col.col-6to4,
  .grid-col.col-4to6,
  .grid-col.col-35to65,
  .grid-col.col-65to35,
  .grid-col.col-55to45,
  .grid-col.col-45to55 {
    grid-template-columns: 1fr;
  }
  /* 2列に縮小 */
  .grid-col.col-3-2,
  .grid-col.col-4-2,
  .grid-col.col-5-2,
  .grid-col.col-4-3-2,
  .grid-col.col-5-3-2 {
    grid-template-columns: repeat(2, 1fr);
  }
  /* 3列に縮小 */
  .grid-col.col-5-3,
  .grid-col.col-6-3 {
    grid-template-columns: repeat(3, 1fr);
  }
}

/* form style
---------------------------------------------------------------- */
/* セレクトボックス ---------- */
.select-styled {
  position: relative;
  width: 100%;
}
.select-styled::after {
  content: '';
  position: absolute;
  top: 50%;
  right: 0.5em;
  transform: translateY(-50%);
  border-style: solid;
  border-width: 0.6em 0.6em 0 0.6em;
  border-color: var(--theme-border-separator) transparent transparent transparent;
}
/* ラジオボタン ---------- */
.radio-styled {
  position: relative;
}
.radio-styled + .radio-styled {
  margin: 0.5em 0 0;
}
.radio-styled input[type='radio'] {
  position: absolute;
  top: 0;
  left: 0;
  opacity: 0;
  width: 1.5em;
  height: 1.5em;
}
.radio-styled label {
  display: inline-block;
  white-space: nowrap;
  cursor: pointer;
}
.radio-styled label span {
  padding-left: 2em;
}
.radio-styled label:hover {
  opacity: 0.6;
  transition: 0.3s ease-in-out;
}
.radio-styled label span::before {
  content: '';
  background: var(--white);
  border-radius: 100%;
  border: 1px solid var(--theme-border-separator);
  display: inline-block;
  width: 1.5em;
  height: 1.5em;
  position: absolute;
  top: 0;
  left: 0;
  margin-right: 0.3em;
  vertical-align: top;
  text-align: center;
  transition: all 250ms ease;
}
.radio-styled input[type='radio']:checked + span,
.radio-styled input[type='radio']:checked + label span {
  color: var(--theme-main);
}
.radio-styled input[type='radio']:checked + span::before,
.radio-styled input[type='radio']:checked + label span::before {
  background-color: var(--theme-main);
  box-shadow: inset 0 0 0 4px var(--white);
  border-color: var(--theme-main);
}
.radio-styled input[type='radio']:disabled + span::before,
.radio-styled input[type='radio']:disabled + label span::before {
  box-shadow: inset 0 0 0 4px var(--white);
  border-color: var(--theme-border-separator);
  background: var(--theme-border-separator);
}
.radio-styled input[type='radio'] + span:empty::before,
.radio-styled input[type='radio'] + label span:empty::before {
  margin-right: 0;
}
.radio-styled input[type='radio']:focus-visible + span,
.radio-styled input[type='radio']:focus-visible + label span {
  border-color: var(--theme-link);
  border-width: 2px;
}

/* チェックボックス ---------- */
.checkbox-styled {
  position: relative;
}
.checkbox-styled + .checkbox-styled {
  margin: 0.5em 0 0;
}
.checkbox-styled input[type='checkbox'] {
  position: absolute;
  top: 0;
  left: 0;
  opacity: 0;
  width: 1.5em;
  height: 1.5em;
}
.checkbox-styled label {
  display: inline-block;
  cursor: pointer;
  white-space: nowrap;
}
.checkbox-styled label:hover {
  opacity: 0.6;
  transition: 0.3s ease-in-out;
}
.checkbox-styled label span {
  position: absolute;
  top: 0;
  left: 0;
  padding-left: 2em;
  display: inline-block;
}
.checkbox-styled label span:before {
  content: '';
  display: block;
  width: 1.5em;
  height: 1.5em;
  border: 1px solid var(--theme-border-separator);
  background: var(--white);
  position: absolute;
  left: 0;
  top: 0;
  -webkit-transition:
    all 0.12s,
    border-color 0.08s;
  transition:
    all 0.12s,
    border-color 0.08s;
}
.checkbox-styled input[type='checkbox']:checked + span,
.checkbox-styled input[type='checkbox']:checked + label span {
  color: var(--theme-main);
}
.checkbox-styled label input[type='checkbox']:checked + span::before,
.checkbox-styled input[type='checkbox']:checked + label span::before {
  width: 0.8em;
  top: -5px;
  left: 5px;
  border-radius: 0;
  opacity: 1;
  border: 1px solid var(--theme-main);
  background: transparent;
  border-top-color: transparent;
  border-left-color: transparent;
  transform: rotate(45deg);
}
.checkbox-styled input[type='checkbox']:focus-visible + span,
.checkbox-styled input[type='checkbox']:focus-visible + label span {
  border-color: var(--theme-link);
  border-width: 2px;
}

/* ファイル選択 ---------- */
.file-styled {
  display: flex;
  align-items: center;
  gap: 0.5em;
}
.file-styled button {
  padding: 0.5em 0.8em;
  background: var(--white);
  border: var(--theme-border-separator) 1px solid;
  border-radius: var(--box-br);
  transition: 0.3s all;
}
.file-styled button:hover {
  color: var(--white);
  background: var(--black);
}
.file-styled input {
  display: none;
}

/* 同意チェックボックス */
.privacy-check-box-area {
  padding: 1em 2em;
  background: var(--cl-base);
  position: relative;
}
.checkbox-01 {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}
.checkbox-01 label {
  display: flex;
  flex-wrap: wrap;
  cursor: pointer;
  position: relative;
  margin: 0.3em 0.3em 0.3em 0.6em;
}
.checkbox-01 label span {
  display: flex;
}
.checkbox-01 label span:before {
  content: '';
  display: block;
  position: relative;
  background-color: var(--white);
  width: 25px;
  min-width: 25px;
  height: 25px;
  transform-origin: center;
  border: 1px solid var(--theme-border-separator);
  transition:
    background-color 150ms 200ms,
    transform 350ms cubic-bezier(0.78, -1.22, 0.17, 1.89);
  margin: 0 0.5em 0 0;
}
.checkbox-01 label span:after {
  content: '';
  width: 0px;
  height: 0px;
  border-top: 1px solid var(--white);
  border-right: 1px solid var(--white);
  position: absolute;
  transform: rotate(135deg);
  top: 0.5em;
  left: 1.3em;
  transition: 0.3s all;
  transform-origin: 0% 0%;
}
.checkbox-01 label:hover span:after {
  width: 14px;
  height: 10px;
  border-top: 2px solid var(--theme-border-table);
  border-right: 2px solid var(--theme-border-table);
}
.checkbox-01 input[type='checkbox'] {
  position: absolute;
  top: 0;
  left: 0;
  opacity: 0;
  width: 1.5em;
  height: 1.5em;
}
.checkbox-01 input[type='checkbox']:checked + label {
  color: var(--theme-main);
}
.checkbox-01 input[type='checkbox']:checked + label span:before {
  transform: scale(1.25);
  border: 2px solid var(--theme-main);
  transition:
    background-color 150ms 200ms,
    transform 350ms cubic-bezier(0.78, -1.22, 0.17, 1.89);
}
.checkbox-01 input[type='checkbox']:checked + label span:after {
  width: 14px;
  height: 10px;
  border-top: 2px solid var(--theme-main);
  border-right: 2px solid var(--theme-main);
  transition:
    background-color 150ms 200ms,
    transform 350ms cubic-bezier(0.78, -1.22, 0.17, 1.89);
}
.checkbox-01 input[type='checkbox']:checked + label:hover span:before {
  transform: scale(1.25);
  transition:
    background-color 150ms 200ms,
    transform 350ms cubic-bezier(0.78, -1.22, 0.17, 1.89);
}
.checkbox-01 input[type='checkbox']:checked + label:hover span:after {
  width: 14px;
  transition:
    background-color 150ms 200ms,
    transform 350ms cubic-bezier(0.78, -1.22, 0.17, 1.89);
}
.checkbox-01 input[type='checkbox']:focus-visible + span,
.checkbox-01 input[type='checkbox']:focus-visible + label span {
  border-color: var(--theme-link);
  border-width: 2px;
}
@media only screen and (max-width: 1024px) {
  .checkbox-01 label:hover span:after {
    border-top: 1px solid var(--white);
    border-right: 1px solid var(--white);
  }
}
@media only screen and (max-width: 599px) {
  .privacy-check-box-area {
    padding: 1em;
  }
}

/* フォーム確認・送信ボタン */
.btn-form-submit,
.btn-form-back {
  position: relative;
  width: 100%;
}
.btn-form-submit input {
  font-size: var(--fs-default);
  font-weight: var(--fw-bold);
  background: var(--theme-accent);
  color: var(--white);
  text-decoration: none !important;
  width: 100%;
  height: 100%;
  padding: 0.8em 0;
  border: none;
  border-radius: var(--btn-br);
  cursor: pointer;
  transition: all 0.3s;
  -webkit-appearance: none;
}
.btn-form-submit::after {
  content: '';
  position: absolute;
  color: var(--white);
  border-top: 2px solid var(--white);
  border-right: 2px solid var(--white);
  width: 0.6em;
  height: 0.6em;
  top: 0;
  bottom: 0;
  right: 20px;
  margin: auto;
  transition: 0.3s;
  transform: rotate(45deg);
}
.btn-form-submit:hover::after {
  right: 15px;
}
.btn-form-submit input:disabled {
  background: var(--theme-border-separator);
}

/* 入力画面へ戻るボタン */
.btn-form-back input {
  font-size: var(--fs-default);
  font-weight: var(--fw-bold);
  background: var(--theme-text-sub);
  color: var(--white);
  text-decoration: none !important;
  width: 100%;
  height: 100%;
  padding: 0.8em 0;
  border: none;
  border-radius: var(--btn-br);
  cursor: pointer;
  transition: all 0.3s;
  -webkit-appearance: none;
}
.btn-form-back::before {
  content: '';
  position: absolute;
  color: var(--white);
  border-top: 2px solid var(--white);
  border-right: 2px solid var(--white);
  width: 0.6em;
  height: 0.6em;
  top: 0;
  bottom: 0;
  left: 20px;
  margin: auto;
  transition: 0.3s;
  transform: rotate(-135deg);
}
.btn-form-back:hover::before {
  left: 15px;
}

.form-container {
  border: var(--theme-border-separator) 2px solid;
  padding: 2em;
  margin-left: auto;
  margin-right: auto;
}
.form-container dl {
  position: relative;
  display: flex;
  flex-wrap: wrap;
  padding: 1.5em 0;
}
.form-container dl + dl {
  border-top: var(--theme-border-separator) 1px solid;
}
.form-container dl dt {
  position: relative;
  width: 30%;
  font-weight: var(--fw-bold);
}
.form-container dl dd {
  width: 70%;
  padding-left: 1em;
}
/* 郵便番号 */
.form-container input[name='postal'] {
  width: 60%;
}
.form-container input[name='postal'] + a {
  display: inline-block;
  padding: 0.5em 1em;
  border: 1px solid var(--theme-main);
  border-radius: 3px;
  background: var(--theme-main);
  font-size: 16px;
  line-height: normal;
  color: var(--white);
  text-decoration: none;
  margin-left: 0.5em;
  cursor: pointer;
}

/* -- span.required, span.optional --*/
.form-container dl dt i {
  position: absolute;
  top: 0;
  right: 0.5em;
}
.form-container dl dt span.required,
.form-container dl dt span.optional {
  display: inline-block;
  font-size: 85%;
  color: var(--white);
  padding: 0.2em 0.8em;
  border-radius: 3px;
  font-style: normal;
}
.form-container dl dt span.required {
  background: var(--theme-error-color);
  border: 1px solid var(--theme-error-color);
}
.form-container dl dt span.optional {
  background: var(--theme-border-separator);
  border: 1px solid var(--theme-border-separator);
}

/* -- error message --*/
.form-container dl dd span.error_blank,
.form-container dl dd span.error_format,
.form-container dl dd span.error_match {
  display: block;
  color: var(--theme-error-color);
  margin-top: 5px;
}

/* -- confirm --*/
div#confirm_field {
  display: none;
}

@media only screen and (max-width: 1024px) {
  .form-container {
    max-width: 600px;
    padding: 1em;
  }
  .form-container dl dt,
  .form-container dl dd {
    width: 100%;
    padding: 0.5em 0;
  }
  .form-container dl dt i {
    position: relative;
    right: auto;
    margin-left: 0.5em;
  }
}

@media only screen and (max-width: 599px) {
  .form-container input[name='postal'] {
    width: 100%;
  }
  .form-container input[name='postal'] + a {
    position: absolute;
    top: 1.8em;
    right: 0;
    margin: 0;
    font-size: 1.4rem;
  }
}

/* ステップ */
.form-steps {
  width: 100%;
  margin: 0 auto;
}
.form-steps ul {
  display: flex;
  justify-content: space-between;
}
.form-steps ul li {
  position: relative;
  text-align: center;
  background: var(--theme-border-separator);
  width: calc(100% / 3);
}
.form-steps ul li:first-of-type {
  border-radius: 5px 0 0 5px;
}
.form-steps ul li:last-of-type {
  border-radius: 0 5px 5px 0;
}
.form-steps ul li:nth-child(n + 2) {
  margin-left: 1.75rem;
}
.form-steps ul li:nth-child(n + 2):before {
  content: '';
  position: absolute;
  top: 50%;
  border: 0 solid var(--theme-border-separator);
  border-width: 25px 20px;
  width: 0;
  height: 0;
  left: -20px;
  border-left-color: transparent;
  transform: translateY(-50%);
}
.form-steps ul li.active:nth-child(n + 2):before {
  content: '';
  position: absolute;
  top: 50%;
  border: 0 solid var(--theme-main);
  border-width: 25px 20px;
  width: 0;
  height: 0;
  left: -20px;
  border-left-color: transparent;
  transform: translateY(-50%);
}
.form-steps ul li span {
  position: relative;
  display: block;
  height: 50px;
  line-height: 50px;
}
.form-steps ul li span:after {
  content: '';
  position: absolute;
  top: 50%;
  border: 0 solid var(--theme-border-separator);
  border-width: 25px 20px;
  width: 0;
  height: 0;
  left: 100%;
  border-color: transparent;
  border-left-color: var(--theme-border-separator);
  transform: translateY(-50%);
}
.form-steps ul li:last-of-type span::after {
  display: none;
}
.form-steps ul li.active {
  background: var(--theme-main);
}
.form-steps ul li.active span {
  color: var(--theme-text-opp);
}
.form-steps ul li.active span:after {
  border-left-color: var(--theme-main);
}

/* table
---------------------------------------------------------------- */
.d-table {
  display: table;
  width: 100%;
}
.d-table-cell {
  display: table-cell;
  vertical-align: top;
}
table {
  border-collapse: collapse;
}
table th,
table td {
  border: var(--theme-border-separator) 1px solid;
  padding: 0.5em;
}

/* パンくずリスト
---------------------------------------------------------------- */
.breadcrumbs {
  font-size: var(--fs-notes);
  padding: 1em 0;
  margin-bottom: var(--wrap-pd-s);
}
.breadcrumbs ol {
  display: flex;
  flex-wrap: wrap;
}
.breadcrumbs ol li {
  display: flex;
  align-items: center;
}
/* 最後の要素（現在地）以外に区切り文字を挿入 */
.breadcrumbs ol li:not(:last-child)::after {
  content: ' / ';
  padding: 0 8px;
}
.breadcrumbs a {
  color: var(--theme-link);
  border-bottom: var(--theme-link) 1px solid;
}
.breadcrumbs .current-item {
  font-weight: var(--fw-bold);
}

/* iframe  google map / youtube
---------------------------------------------------------------- */
/* iframe */
.iframe-wrap iframe {
  width: 100%;
  height: 100%;
  aspect-ratio: 16 / 9;
}
/* video */
.video-wrap iframe {
  width: 100%;
  height: 100%;
  aspect-ratio: 16 / 9;
}

/* animation
---------------------------------------------------------------- */
/* スクロールCSS */
.fade-in {
  opacity: 0;
  transition-duration: 1000ms;
  transition-property: opacity, transform;
}
.fade-in-up {
  transform: translate(0, 50px);
}
.fade-in-down {
  transform: translate(0, -50px);
}
.fade-in-left {
  transform: translate(-50px, 0);
}
.fade-in-right {
  transform: translate(50px, 0);
}
.scroll-in {
  opacity: 1;
  transform: translate(0, 0);
}

/* zoom */
.zoom-in,
.zoom-out,
.zoom-in-img {
  transition: 0.2s ease-in-out;
}
.zoom-in:hover,
.zoom-in:focus {
  transform: scale(1.1);
}
.zoom-out:hover,
.zoom-out:focus {
  transform: scale(0.95);
}
.zoom-in-img:hover img,
.zoom-in-img:focus img {
  transform: scale(1.1);
}
/* shake */
.shake:hover {
  display: inline-block;
  animation: shake 0.1s infinite;
}
@keyframes shake {
  0% {
    transform: translate(0px, 0px) rotateZ(0deg);
  }
  25% {
    transform: translate(2px, 2px) rotateZ(1deg);
  }
  50% {
    transform: translate(0px, 2px) rotateZ(0deg);
  }
  75% {
    transform: translate(2px, 0px) rotateZ(-1deg);
  }
  100% {
    transform: translate(0px, 0px) rotateZ(0deg);
  }
}

/* Wordpress css ------------------------------------------------------------------------------------------- */

/* ブロックエディタ使用ページ
---------------------------------------------------------------- */
.editor-page {
  /* clear: both;
  overflow: hidden; */
}
.edit-post-visual-editor__content-area {
  width: 100%;
}
.editor-styles-wrapper {
  max-width: calc(var(--contents-max-width) + 6%);
  /* padding: 0 3% 3% !important; */
}
.editor-styles-wrapper > div {
  padding: 0 3% 3% !important;
}
.editor-page :is(.wp-block-image .aligncenter, .wp-block-image .alignleft, .wp-block-image .alignright, .wp-block-image.aligncenter, .wp-block-image.alignleft, .wp-block-image.alignright) {
  display: block;
}

/* リストスタイル---------------- */
:where(.editor-page ul li) {
  list-style-type: disc;
  list-style-position: outside;
  margin-left: 20px;
}
:where(.editor-page ol li) {
  list-style-type: decimal;
  list-style-position: outside;
  margin-left: 20px;
}

/* 画像配置---------------- */
.editor-page img.alignright {
  float: right;
}
.editor-page img.alignleft {
  float: left;
}
.editor-page img.aligncenter {
  display: block;
  margin: 0 auto;
}
@media only screen and (max-width: 768px) {
  .editor-page img.alignright {
    float: none;
    display: block;
    margin-left: auto;
    margin-right: auto;
  }
  .editor-page img.alignleft {
    float: none;
    display: block;
    margin-left: auto;
    margin-right: auto;
  }
}

/* 編集ボタン */
.btn-edit {
  position: fixed;
  bottom: 5%;
  right: 10%;
  margin-bottom: 1em;
  z-index: 2;
}
.btn-edit a {
  display: flex;
  align-items: center;
  color: var(--a11y-btn-text, var(--theme-link-opp));
  background: var(--a11y-btn-bg, var(--theme-accent));
  border: var(--a11y-btn-border, transparent) 2px solid;
  padding: 0.5em 1em;
  border-radius: var(--br-s);
  font-size: var(--fs-default);
  box-shadow: 0 3px 6px rgb(0 0 0 / 20%);
  max-width: fit-content;
  margin-left: auto;
}
.btn-edit a::before {
  font-family: var(--fa-style-family, 'Font Awesome 6 Free');
  content: '\f044';
  font-weight: var(--fa-style, 900);
  font-size: var(--fs-default);
  margin-right: 0.3em;
}

/* wp ページナビゲーション
---------------------------------------------------------------- */
.wp-pagenavi {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 0.5em;
}
.wp-pagenavi .pages,
.wp-pagenavi a,
.wp-pagenavi .current {
  font-size: var(--fs-default);
  font-weight: var(--fw-bold);
  display: inline-block;
  color: var(--theme-main);
  background: var(--theme-bg);
  border: 2px solid var(--theme-main);
  border-radius: var(--br-xs);
  padding: 0.6em 0.8em !important;
  line-height: 1;
}
.wp-pagenavi a {
  color: var(--a11y-link, var(--theme-main));
}
.wp-pagenavi .current {
  color: var(--a11y-btn-bg, var(--theme-text-opp));
  background: var(--theme-main);
}
.wp-pagenavi span.extend {
  border: 0;
}

/* prev next btns */
.prev-next-btns a {
  display: flex;
  color: var(--theme-text);
  align-items: start;
  width: 49.5%;
  padding: 10px;
  position: relative;
  font-size: 1.4rem;
  margin-left: 0.5%;
  margin-right: 0.5%;
  border: var(--theme-main) 2px solid;
  border-radius: var(--br-xs);
}
.prev-next-btns a .thumb-img {
  position: relative;
  overflow: hidden;
  max-width: 30%;
  max-height: 67px;
  display: flex;
  align-items: center;
}
.prev-next-btns a .thumb-img img {
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.prev-next-btns .prev-next-txt-area {
  width: 68%;
}
.prev-next-btns h5 {
  position: relative;
  display: inline-block;
  line-height: 2;
  color: var(--theme-main);
}
.prev-link h5 {
  padding-left: 1.5rem;
}
.prev-link h5:before,
.next-link h5:after {
  position: absolute;
  content: '';
  width: 0.5em;
  height: 0.5em;
  display: inline-block;
  border-top: 2px solid var(--theme-main);
  border-left: 2px solid var(--theme-main);
  transform: translateY(-50%) rotate(135deg);
  top: 50%;
}
.prev-link h5:before {
  left: 0;
  transform: translateY(-50%) rotate(315deg);
}
.next-link h5:after {
  right: -1.5rem;
}
.prev-next-btns a span {
  font-weight: var(--fw-bold);
}

.prev-next-btns .prev-next-txtonly .prev-next-txt-area {
  width: 100%;
}

@media only screen and (max-width: 599px) {
  .prev-next-btns a {
    width: 100%;
    font-size: 1.2rem;
  }
  .prev-next-btns a.next-link {
    margin-top: 10px;
  }
  .prev-next-btns a.prev-next-txtonly {
    width: 49.5%;
  }
  .prev-next-btns a.prev-next-txtonly.next-link {
    margin-top: 0;
  }
}

/* 投稿内のページャー */
.content-inner-pager {
  margin: 3em 0;
}
.content-inner-pager .post-page-numbers {
  border: var(--theme-main) 2px solid;
  color: var(--theme-main);
  padding: 0.5em;
}
.content-inner-pager .post-page-numbers.current {
  background: var(--theme-main);
  color: var(--white);
}

/* wp admin-bar
---------------------------------------------------------------- */
@media screen and (max-width: 600px) {
  #wpadminbar {
    position: fixed;
  }
}

/* accessibility CSS
---------------------------------------------------------------- */

/* 視覚的に隠す */
.visually-hidden {
  position: absolute;
  width: 1px;
  height: 1px;
  margin: -1px;
  border: 0;
  padding: 0;
  clip: rect(0 0 0 0);
  overflow: hidden;
}
[tabindex='-1']:focus {
  outline: none;
}

/* スキップリンク「主要コンテンツへ」ボタン */
.skip-link {
  position: fixed;
  top: -624.9375rem;
  left: 0;
  background: var(--a11y-btn-bg, var(--theme-main));
  color: var(--theme-link-opp);
  font-weight: 500;
  padding: 0.8rem;
  z-index: 9999;
  border-radius: 0 0 0.3rem 0;
  transition: top 0.3s ease-in-out;
}
.skip-link:focus {
  top: 0;
  left: 0;
  width: auto;
  height: auto;
  border: 2px solid var(--theme-accent);
  opacity: 1;
}
